## pythonqt 2.0.1

=== debian/changelog ===
pythonqt (2.0.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with Qt 4.8 (Closes: #664569)
    - Add debian/patches/stddecorators_no_keywords.patch
    - Extend debian/patches/cmakebuildsystem.patch to compile with
      -DQT_NO_KEYWORDS
    - Thanks to Felix Geyer for the patch

 -- Scott Kitterman <scott@kitterman.com>  Wed, 09 May 2012 00:14:21 -0400

pythonqt (2.0.1-1) unstable; urgency=low

  * Initial release (Closes: #616698)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sat, 05 Mar 2011 16:34:12 +0100
