=== debian/control ===
Source: pythonqt
Section: libs
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake, quilt (>= 0.46-7~), python-dev, qt4-qmake, libqt4-dev
Standards-Version: 3.9.1
XS-Python-Version: current
Homepage: http://pythonqt.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/pythonqt/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/pythonqt/trunk/

Package: libpythonqt2.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dynamic Python binding for the Qt framework - runtime
 PythonQt offers an easy way to embed the Python scripting language into a
 C++ Qt applications. It makes heavy use of the QMetaObject system and thus
 requires Qt 4.x.
 The focus of PythonQt is on embedding Python into an existing C++ application,
 not on writing the whole application completely in Python. If you want to write
 your whole application in Python, you should use PyQt or PySide instead.
 If you are looking for a simple way to embed Python objects into your C++/Qt
 Application and to script parts of your application via Python, PythonQt is the
 way to go!
 .
 This package contains the libraries needed to run PythonQt applications.

Package: libpythonqt2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dynamic Python binding for the Qt framework - development
 PythonQt offers an easy way to embed the Python scripting language into a
 C++ Qt applications. It makes heavy use of the QMetaObject system and thus
 requires Qt 4.x.
 The focus of PythonQt is on embedding Python into an existing C++ application,
 not on writing the whole application completely in Python. If you want to write
 your whole application in Python, you should use PyQt or PySide instead.
 If you are looking for a simple way to embed Python objects into your C++/Qt
 Application and to script parts of your application via Python, PythonQt is the
 way to go!
 .
 This package contains development files needed to build PythonQt applications.
