## pythonqt 2.1.0~svn247

=== debian/changelog ===
pythonqt (2.1.0~svn247-1) unstable; urgency=low

  * new snapshot based on svn r247
  * bump libpythonqt2.0 to libpythonqt2.1.0
  * maintain only one dev package (change libpythonqt2-dev to libpythonqt-dev)
  * bump Standards-Version: 3.9.4
  * remove obsolete DM-Upload-Allowed field
  * debian/copyright: removed obsolete fields in dep5 copyright
  * debian/compat: bump to 9
  * debian/control: fix dh syntax issue

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 03 Nov 2013 20:30:26 -0500
