=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake, quilt (>= 0.46-7~), python-dev, qt4-qmake, libqt4-dev
-Standards-Version: 3.9.1
+Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>, Dominique Belhachemi <domibel@debian.org>
+Build-Depends: debhelper (>= 9), cmake, quilt (>= 0.46-7~), python-dev, qt4-qmake, libqt4-dev
+Standards-Version: 3.9.4
 XS-Python-Version: current
 Homepage: http://pythonqt.sourceforge.net
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/pythonqt/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/pythonqt/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/pythonqt/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/pythonqt/trunk/
 
-Package: libpythonqt2.0
+Package: libpythonqt2.1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Dynamic Python binding for the Qt framework - runtime
@@ -27,10 +26,12 @@
  .
  This package contains the libraries needed to run PythonQt applications.
 
-Package: libpythonqt2-dev
+Package: libpythonqt-dev
+Replaces: libpythonqt2-dev (<< 2.1.0~svn247-1~)
+Breaks: libpythonqt2-dev (<< 2.1.0~svn247-1~)
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libpythonqt2.1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Dynamic Python binding for the Qt framework - development
  PythonQt offers an easy way to embed the Python scripting language into a
  C++ Qt applications. It makes heavy use of the QMetaObject system and thus
