=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh --parallel --with quilt --buildsystem=cmake $@ 
+	dh $@ --parallel --with quilt --buildsystem=cmake
 
 get-orig-source:
 	uscan --verbose --force-download --repack --rename
