=== debian/watch ===
version=3
http://sf.net/pythonqt/PythonQt([\d\.]+)\.zip
