## pythonqt 3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,10 @@
+#-----------------------------------------------------------------------------
+# NOTE: The CMake files have been contributed to PythonQt and have not been tested with the current
+# PythonQt version. They have not yet been updated to support Qt 5 and/or Python 3.
+#
+# If you are not a CMake expert, you should better use the provided qmake profiles.
+#-----------------------------------------------------------------------------
+
 cmake_minimum_required(VERSION 2.8)
 
 #-----------------------------------------------------------------------------
@@ -74,9 +81,6 @@
 # The variable "generated_cpp_suffix" allows to conditionnally compile the generated wrappers 
 # associated with the Qt version being used.
 set(generated_cpp_suffix "_${QT_VERSION_MAJOR}${QT_VERSION_MINOR}")
-if("${generated_cpp_suffix}" STREQUAL "_48")
-  set(generated_cpp_suffix "")
-endif()
 if("${generated_cpp_suffix}" STREQUAL "_46")
   set(generated_cpp_suffix "_47") # Also use 4.7 wrappers for 4.6.x version
 endif()
@@ -85,6 +89,7 @@
 # Sources
 
 set(sources
+    src/PythonQtBoolResult.cpp
     src/PythonQtClassInfo.cpp
     src/PythonQtClassWrapper.cpp
     src/PythonQtConversion.cpp
@@ -115,6 +120,7 @@
 # List headers.  This is list is used for the install command.
 
 set(headers
+    src/PythonQtBoolResult.h
     src/PythonQtClassInfo.h
     src/PythonQtClassWrapper.h
     src/PythonQtConversion.h
