=== debian/changelog ===
pythonqt (3.0-3) unstable; urgency=medium

  * QA upload.
  * Remove Qt4 QtWebKit support in support of Stretch removal plans (Closes:
    #816811)
    - Remove libqtwebkit-dev from build-depends
    - Add disable-webkit patch to remove webkit support from build 
      configuration

 -- Scott Kitterman <scott@kitterman.com>  Thu, 15 Sep 2016 12:16:39 -0400

pythonqt (3.0-2) unstable; urgency=medium

  * Orphan the package
  * Add PythonQtUtils.h which is somehow missing in CMakeLists.txt
    (Thanks for the hint to alex)
    Closes: #826966
  * cme fix dpkg-control
  * hardening=+bindnow
  * automatically use xz compression

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jul 2016 17:02:27 +0200

pythonqt (3.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Add myself to uploaders
  * cme fix dpkg-control
  * Adapt package name to library version

  [ Florian Will ]
  * build wrapper for every supported Qt class
    Closes: #755901
  * install gui/PythonQtScriptingConsole.h
    Closes: #755849

 -- Andreas Tille <tille@debian.org>  Fri, 11 Dec 2015 11:56:51 +0100
