=== debian/control ===
--- 
+++ 
@@ -1,18 +1,23 @@
 Source: pythonqt
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: libs
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>, Dominique Belhachemi <domibel@debian.org>
-Build-Depends: debhelper (>= 9), cmake, quilt (>= 0.46-7~), python-dev, qt4-qmake, libqt4-dev
-Standards-Version: 3.9.4
-XS-Python-Version: current
+Build-Depends: debhelper (>= 9),
+               cmake,
+               python-dev,
+               qt4-qmake,
+               libqt4-dev,
+               libqt4-opengl-dev
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/pythonqt/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/pythonqt/trunk/
 Homepage: http://pythonqt.sourceforge.net
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/pythonqt/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/pythonqt/trunk/
+X-Python-Version: current
 
-Package: libpythonqt2.1
+Package: libpythonqt3.0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: Dynamic Python binding for the Qt framework - runtime
  PythonQt offers an easy way to embed the Python scripting language into a
  C++ Qt applications. It makes heavy use of the QMetaObject system and thus
@@ -27,11 +32,13 @@
  This package contains the libraries needed to run PythonQt applications.
 
 Package: libpythonqt-dev
+Architecture: any
+Section: libdevel
+Depends: libpythonqt3.0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Breaks: libpythonqt2-dev (<< 2.1.0~svn247-1~)
 Replaces: libpythonqt2-dev (<< 2.1.0~svn247-1~)
-Breaks: libpythonqt2-dev (<< 2.1.0~svn247-1~)
-Section: libdevel
-Architecture: any
-Depends: libpythonqt2.1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Dynamic Python binding for the Qt framework - development
  PythonQt offers an easy way to embed the Python scripting language into a
  C++ Qt applications. It makes heavy use of the QMetaObject system and thus
