=== debian/changelog ===
pythonqt (3.2-7build2) bionic; urgency=medium

  * No-change rebuild against qtdeclarative-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 21:52:30 -0500

pythonqt (3.2-7build1) bionic; urgency=medium

  * No-change rebuild against Qt 5.9.4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Feb 2018 21:47:18 -0600

pythonqt (3.2-7) unstable; urgency=medium

  * Move VCS to salsa.debian.org
  * Update standards version to 4.1.3
  * Fix debian/copyright
  * Replace {binary:Version} with {source:Version} dependency
  * Adjust arm builds to allow building for Ubuntu

 -- Jonathan Carter <jcc@debian.org>  Wed, 14 Feb 2018 09:03:07 +0200

pythonqt (3.2-6) unstable; urgency=medium

  * Upload to unstable
  * Update debian/copyright
  * Add lintian overrides for package naming

 -- Jonathan Carter <jcc@debian.org>  Fri, 09 Feb 2018 09:54:26 +0200

pythonqt (3.2-6~exp1) experimental; urgency=medium

  * Make common dev packages architecture: all
  * Don't install compiled example code
  * Move example files to dev package

 -- Erik Lundin <erik@lun.nu>  Fri, 01 Dec 2017 14:19:42 +0100

pythonqt (3.2-5) unstable; urgency=medium

  * Upload to unstable

 -- Jonathan Carter <jcc@debian.org>  Tue, 21 Nov 2017 17:56:29 +0200

pythonqt (3.2-5~exp1) experimental; urgency=medium

  * Add Erik Lundin's patch to fix builds on ppc64
    (Closes: #881685)
  * Add Erik Lundin's patch to fix files shipped in multiple binaries
    (Closes: #881710)

 -- Jonathan Carter <jcc@debian.org>  Mon, 20 Nov 2017 10:21:26 +0200

pythonqt (3.2-4) unstable; urgency=medium

  * Upload to unstable

 -- Jonathan Carter <jcc@debian.org>  Mon, 13 Nov 2017 13:28:12 +0200

pythonqt (3.2-4~exp4) experimental; urgency=medium

  * Fix generator Qt include dir for multiarch
  * Remove unneeded patch fix-string-literals
  * Remove unneeded and add new build depends

 -- Erik Lundin <erik@lun.nu>  Thu, 09 Nov 2017 22:39:45 +0100

pythonqt (3.2-4~exp3) experimental; urgency=medium

  * Patch for building with Qt 5.9

 -- Erik Lundin <erik@lun.nu>  Fri, 27 Oct 2017 16:54:37 +0200

pythonqt (3.2-4~exp2) experimental; urgency=medium

  [ Erik Lundin ]
  * Use generator to create Qt wrapper code
  * Build packages for both Python 2 and Python 3
  * Place QtAll extension in separate package
  * Implement multiarch support
  * Create pkg-config files

  [ Jonathan Carter ]
  * Bump standards version to 4.1.1
  * Remove unneeded amd64 rule

 -- Erik Lundin <erik@lun.nu>  Sun, 1 Oct 2017 21:08:09 +0200

pythonqt (3.2-4~exp1) experimental; urgency=medium

  * Fix FTBFS on arm and hppa architectures

 -- Jonathan Carter <jcc@debian.org>  Mon, 18 Sep 2017 08:46:23 +0200

pythonqt (3.2-3) unstable; urgency=medium

  * debian/control: fix typo 's/libpythont/libpythonqt/g' (Closes: 875680)

 -- Jonathan Carter <jcc@debian.org>  Thu, 14 Sep 2017 10:20:04 +0200

pythonqt (3.2-2) unstable; urgency=medium

  * Update description from "Qt 4.x" to "Qt 5.x" (Closes: #875108)

 -- Jonathan Carter <jcc@debian.org>  Wed, 13 Sep 2017 09:49:28 +0200

pythonqt (3.2-1) unstable; urgency=medium

  * Upload to unstable (no changes)

 -- Jonathan Carter <jcc@debian.org>  Thu, 24 Aug 2017 18:37:43 +0200

pythonqt (3.2-1~exp2) experimental; urgency=medium

  * Package adopted by DPMT (Closes: #705207)
  * New build-deps: libpulse-dev, libgtk2.0-dev
  * Tidy up patch headers: fix-string-literals

 -- Jonathan Carter <jcc@debian.org>  Wed, 23 Aug 2017 11:30:26 +0200

pythonqt (3.2-1~exp1) experimental; urgency=medium

  * New upstream release
  * Adopting package as part of Python team (DPMT)
    - debian/control: Setting new maintainer and uploader
    - debian/copyright: Update with new maintainer
  * Update compat level to 10
  * Update standards version to 4.1.0.0
  * Update debian/copyright to copyright-format 1.0
  * Remove ancient breaks/replace
  * Build against qt5 instead of qt4 (Closes: #832610)
  * Switch build system from cmake to qmake
    - Remove unneeded patches
    - Update debian/rules
  * Add lintian-override fo package-name-doesnt-match-sonames
  * Remove README.Debian (no longer applicable)
  * Add examples to doc
  * Add patch to escape strings, fixes FTBFS due to warnings

 -- Jonathan Carter <jcc@debian.org>  Fri, 11 Aug 2017 21:58:06 -0400
