=== debian/watch ===
version=3
opts="repack,compression=xz" \
   http://sf.net/pythonqt/PythonQt([\d\.]+)\.zip
